# encoding: UTF-8
class HospRok
  attr_reader :start_date, :end_date
#  has_paper_trail

  @typroku=''
  def initialize(typroku)
    super()
    @typroku=typroku
    if typroku =~ /^\d{4}$/
      @start_date = Date.parse("#{typroku}-01-01")
      @end_date = Date.parse("#{typroku}-12-31")
    elsif typroku =~ /^(\d{4})\/(\d{4})$/
      rok = $1
      begin
        if rok.to_i+1==$2.to_i
          rok = rok.to_i
          @start_date = Date.parse("#{rok}-07-01")
          @end_date = Date.parse("#{rok+1}-06-30")          
        end
      rescue
        raise "Neidintifikovatelý hospodářský rok #{typroku}"
      end
    else
      raise "Neidintifikovatelý hospodářský rok #{typroku}"
    end
  end
  def to_s
    @typroku
  end
end
